## zowe › profiles › create › endevor-location-profile

The Endevor element location, where you specify your working environment, system and subsystem

Warning: This command has been deprecated.
Recommended replacement: The 'config init' command

#### Usage

zowe profiles create endevor-location-profile <profileName> [options]

#### Positional Arguments

- `profileName` (string)

  - Specifies the name of the new endevor-location profile. You can load this profile by using the name on commands that support the "--endevor-location-profile" option.

#### Options

- `--instance` | `-i` (string)

  - The STC/datasource of the session

    Default value: ENDEVOR

- `--environment` | `--env` (string)

  - The Endevor environment where your project resides

    Default value: DEV

- `--system` | `--sys` (string)

  - The Endevor system where the element resides

- `--subsystem` | `--sub` (string)

  - The Endevor subsystem where your element resides

- `--type` | `--typ` (string)

  - Name of the Endevor element's type

- `--stage-number` | `--sn` (string)

  - The Endevor stage where your project resides

    Allowed values: 1, 2

- `--comment` | `--com` (string)

  - The Endevor comment you want to use when performing an action

- `--ccid` | `--cci` (string)

  - The Endevor CCID you want to use when performing an action

- `--maxrc` (number)

  - The return code of Endevor that defines a failed action

    Default value: 8

- `--override-signout` | `--os` (boolean)

  - Always override element signout, without having to specify the override signout option on each command

    Default value: false

- `--file-extension` | `--ext` (string)

  - The strategy for deciding what file extension to use during a bulk retrieve or workspace synchronization. Must be one of the following:

                none: File name is equal to element name, no extension is added.

                file\-ext: The file extension defined in the Type definition is used; If not defined, no extension is added.

                type\-name: The type name is used as the file extension.

                mixed: The file extension defined in Type definition is used; If not defined, the type name is used instead.

    Default value: mixed
    Allowed values: none, type-name, file-ext, mixed

- `--overwrite` | `--ow` (boolean)

  - Overwrite the endevor-location profile when a profile of the same name exists.

- `--disable-defaults` | `--dd` (boolean)

  - Disable populating profile values of undefined properties with default values.

#### Examples

- Create a location profile called 'ndvrLoc' to work at Endevor location ENV/1/SYS/SUBSYS, with elements of type COBOL, using Endevor web services configuration ENDEVOR:

  - `zowe profiles create endevor-location-profile ndvrLoc --env ENV --sys SYS --sub SUBSYS --typ COBOL --sn 1 -i ENDEVOR`

- Create a location profile called 'ndvrLoc2' to work at Endevor location ENV/1/SYS/SUBSYS, using CCID 'CCID' and comment 'sample comment':

  - `zowe profiles create endevor-location-profile ndvrLoc2 --env ENV --sys SYS --sub SUBSYS --sn 1 --com 'sample comment' --cci 'CCID'`